import { AdaptableApi, TableLayout } from '../../types';
import { AggregatedScalarLiveValue } from './AggregatedScalarLiveValue';
/**
 * The logic is extracted here to make it easier to follow
 */
export declare class RowSummaryService {
    private api;
    cachedCellSummary: Map<string, AggregatedScalarLiveValue>;
    previousRowSummaries: any;
    previousLayout: TableLayout | null;
    constructor(api: AdaptableApi);
    onAdaptableReady(): void;
    rowSummariesSubscriptions(): void;
    _throttleAcumulatedColumnsThatChanged: Set<string>;
    throttledEvaluateRowSummary(reason?: {
        columnIds: string[];
    }): void;
    /**
     *
     * @param colId optional to evaluate only one column
     */
    _throttledEvaluateRowSummary: import("../utils/debounce").DebouncedFunction<(reason?: {
        columnIds: string[];
    }) => void>;
    private evaluateRowSummary;
}
